at.chipkarte.client.elgaad.soap

## Class Immunisierungsstatus

- Object
- - at.chipkarte.client.elgaad.soap.Immunisierungsstatus

-     public class Immunisierungsstatus
      extends Object

  Daten zum Immunisierungsstatus.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Immunisierungsstatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntikoerperBestimmung[]` | `getAntikoerperBestimmungen()` Liste der Antikörper-Bestimmungen.
    `Impfempfehlung[]` | `getImpfempfehlungen()` Liste der Impfempfehlung.
    `ImpfrelevanteErkrankung[]` | `getImpfrelevanteErkrankungen()` Liste der relevanten Erkrankungen.
    `Impfung[]` | `getImpfungen()` Liste der Impfungen.
    `Indikationsgruppen[]` | `getIndikationsgruppen()` Indikationsgruppen.
    `Metadaten` | `getMetadaten()` Metadaten des Dokuments.
    `boolean` | `isImpfungenNichtAngegeben()` Gibt an, ob die Impfungen angegeben oder nicht angegeben sind.
    `void` | `setAntikoerperBestimmungen(AntikoerperBestimmung[] antikoerperBestimmungen)`
    `void` | `setImpfempfehlungen(Impfempfehlung[] impfempfehlungen)`
    `void` | `setImpfrelevanteErkrankungen(ImpfrelevanteErkrankung[] impfrelevanteErkrankungen)`
    `void` | `setImpfungen(Impfung[] impfungen)`
    `void` | `setImpfungenNichtAngegeben(boolean impfungenNichtAngegeben)`
    `void` | `setIndikationsgruppen(Indikationsgruppen[] indikationsgruppen)`
    `void` | `setMetadaten(Metadaten metadaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Immunisierungsstatus

          public Immunisierungsstatus()

  - ### Method Detail

    - #### getMetadaten

          public Metadaten getMetadaten()

      Metadaten des Dokuments. Siehe `Metadaten`.
      Angabe: Muss.
      Returns:
        Metadaten.

    - #### setMetadaten

          public void setMetadaten(Metadaten metadaten)

    - #### getImpfungen

          public Impfung[] getImpfungen()

      Liste der Impfungen. Siehe `Impfung`.
      Angabe: Kann.
      Beim Erfassen eines Immunisierungseintrags darf nur genau eine Impfung angegeben werden.
      Die Aktualisierung eines Immunisierungseintrags zur Löschung aller Daten innerhalb des Immunisierungseintrags (Leereintrag) ist nicht zulässig. Verwenden Sie in diesem Fall die Funktionaltiät zur Stornierung des Immunisierungseintrags!
      Returns:
        Liste der Impfungen.

    - #### setImpfungen

          public void setImpfungen(Impfung[] impfungen)

    - #### isImpfungenNichtAngegeben

          public boolean isImpfungenNichtAngegeben()

      Gibt an, ob die Impfungen angegeben oder nicht angegeben sind.
      Returns:
        true falls die Impfungen nicht angegeben sind.

    - #### setImpfungenNichtAngegeben

          public void setImpfungenNichtAngegeben(boolean impfungenNichtAngegeben)

    - #### getIndikationsgruppen

          public Indikationsgruppen[] getIndikationsgruppen()

      Indikationsgruppen. Siehe `Indikationsgruppen`.
      Angabe: Kann.
      Returns:
        Indikationsgruppen.

    - #### setIndikationsgruppen

          public void setIndikationsgruppen(Indikationsgruppen[] indikationsgruppen)

    - #### getImpfrelevanteErkrankungen

          public ImpfrelevanteErkrankung[] getImpfrelevanteErkrankungen()

      Liste der relevanten Erkrankungen. Siehe `ImpfrelevanteErkrankung`.
      Angabe: Kann.
      Returns:
        Liste der relevanten Erkrankungen

    - #### setImpfrelevanteErkrankungen

          public void setImpfrelevanteErkrankungen(ImpfrelevanteErkrankung[] impfrelevanteErkrankungen)

    - #### getAntikoerperBestimmungen

          public AntikoerperBestimmung[] getAntikoerperBestimmungen()

      Liste der Antikörper-Bestimmungen. Siehe `AntikoerperBestimmung`.
      Angabe: Kann.
      Returns:
        Liste der relevanten Antikörper-Bestimmungen

    - #### setAntikoerperBestimmungen

          public void setAntikoerperBestimmungen(AntikoerperBestimmung[] antikoerperBestimmungen)

    - #### getImpfempfehlungen

          public Impfempfehlung[] getImpfempfehlungen()

      Liste der Impfempfehlung. Siehe `Impfempfehlung`.
      Angabe: Kann.
      Returns:
        Liste der Impfempfehlung

    - #### setImpfempfehlungen

          public void setImpfempfehlungen(Impfempfehlung[] impfempfehlungen)